Loading...
Searching...
No Matches
ON_DimensionExtra Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h>`

Inheritance diagram for ON_DimensionExtra:

## Public Member Functions

| ON_DimensionExtra ()
| ~ON_DimensionExtra ()
void | SetDefaults ()
void | Dump (ON_TextLog &text_log) const
unsigned int | SizeOf () const
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
ON_BOOL32 | GetDescription (ON_wString &description)
ON_BOOL32 | Archive () const
ON_UUID | ParentUUID () const
void | SetParentUUID (ON_UUID parent_uuid)
int | ArrowPosition () const
void | SetArrowPosition (int position)
double | DistanceScale () const
void | SetDistanceScale (double s)
void | SetModelSpaceBasePoint (ON_3dPoint basepoint)
ON_3dPoint | ModelSpaceBasePoint () const
Public Member Functions inherited from ON_UserData
| ON_UserData ()
| ON_UserData (const ON_UserData &)
ON_UserData & | operator= (const ON_UserData &)
| ~ON_UserData ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &text_log) const
unsigned int | SizeOf () const
ON_Object * | Owner () const
ON_UserData * | Next () const
ON_UUID | UserDataClassUuid () const
ON_BOOL32 | IsUnknownUserData () const
virtual ON_BOOL32 | Transform (const ON_Xform &)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Static Public Member Functions

static ON_DimensionExtra * | DimensionExtension (class ON_LinearDimension2 *pDim, bool bCreate)
static const ON_DimensionExtra * | DimensionExtension (const class ON_LinearDimension2 *pDim, bool bCreate)
static ON_DimensionExtra * | DimensionExtension (class ON_RadialDimension2 *pDim, bool bCreate)
static const ON_DimensionExtra * | DimensionExtension (const class ON_RadialDimension2 *pDim, bool bCreate)
static ON_DimensionExtra * | DimensionExtension (class ON_OrdinateDimension2 *pDim, bool bCreate)
static const ON_DimensionExtra * | DimensionExtension (const class ON_OrdinateDimension2 *pDim, bool bCreate)

## Public Attributes

ON_UUID | m_partent_uuid
int | m_arrow_position
ON_RECT * | m_text_rects
double | m_distance_scale
ON_3dPoint | m_modelspace_basepoint
Public Attributes inherited from ON_UserData
ON_UUID | m_userdata_uuid
ON_UUID | m_application_uuid
unsigned int | m_userdata_copycount
ON_Xform | m_userdata_xform

## Detailed Description

Definition at line 148 of file opennurbs_annotation2.h.

## Constructor & Destructor Documentation

## ON_DimensionExtra()

ON_DimensionExtra::ON_DimensionExtra | ( |  | ) |

Referenced by DimensionExtension(), DimensionExtension(), DimensionExtension(), DimensionExtension(), DimensionExtension(), and DimensionExtension().

## ~ON_DimensionExtra()

ON_DimensionExtra::~ON_DimensionExtra | ( |  | ) |

## Member Function Documentation

## Archive()

ON_BOOL32 ON_DimensionExtra::Archive | ( |  | ) | const

virtual

Reimplemented from ON_UserData.

## ArrowPosition()

int ON_DimensionExtra::ArrowPosition | ( |  | ) | const

## DimensionExtension() [1/6]

ON_DimensionExtra * ON_DimensionExtra::DimensionExtension | ( | class ON_LinearDimension2 * | pDim,
|  | bool | bCreate )

static

References ON_DimensionExtra().

## DimensionExtension() [2/6]

ON_DimensionExtra * ON_DimensionExtra::DimensionExtension | ( | class ON_OrdinateDimension2 * | pDim,
|  | bool | bCreate )

static

References ON_DimensionExtra().

## DimensionExtension() [3/6]

ON_DimensionExtra * ON_DimensionExtra::DimensionExtension | ( | class ON_RadialDimension2 * | pDim,
|  | bool | bCreate )

static

References ON_DimensionExtra().

## DimensionExtension() [4/6]

const ON_DimensionExtra * ON_DimensionExtra::DimensionExtension | ( | const class ON_LinearDimension2 * | pDim,
|  | bool | bCreate )

static

References ON_DimensionExtra().

## DimensionExtension() [5/6]

const ON_DimensionExtra * ON_DimensionExtra::DimensionExtension | ( | const class ON_OrdinateDimension2 * | pDim,
|  | bool | bCreate )

static

References ON_DimensionExtra().

## DimensionExtension() [6/6]

const ON_DimensionExtra * ON_DimensionExtra::DimensionExtension | ( | const class ON_RadialDimension2 * | pDim,
|  | bool | bCreate )

static

References ON_DimensionExtra().

## DistanceScale()

double ON_DimensionExtra::DistanceScale | ( |  | ) | const

## Dump()

void ON_DimensionExtra::Dump | ( | ON_TextLog & | text_log | ) | const

virtual

Reimplemented from ON_Object.

## GetDescription()

ON_BOOL32 ON_DimensionExtra::GetDescription | ( | ON_wString & | description | ) |

virtual

Reimplemented from ON_UserData.

## ModelSpaceBasePoint()

ON_3dPoint ON_DimensionExtra::ModelSpaceBasePoint | ( |  | ) | const

## ParentUUID()

ON_UUID ON_DimensionExtra::ParentUUID | ( |  | ) | const

## Read()

ON_BOOL32 ON_DimensionExtra::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

## SetArrowPosition()

void ON_DimensionExtra::SetArrowPosition | ( | int | position | ) |

## SetDefaults()

void ON_DimensionExtra::SetDefaults | ( |  | ) |

## SetDistanceScale()

void ON_DimensionExtra::SetDistanceScale | ( | double | s | ) |

## SetModelSpaceBasePoint()

void ON_DimensionExtra::SetModelSpaceBasePoint | ( | ON_3dPoint | basepoint | ) |

## SetParentUUID()

void ON_DimensionExtra::SetParentUUID | ( | ON_UUID | parent_uuid | ) |

## SizeOf()

unsigned int ON_DimensionExtra::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## Write()

ON_BOOL32 ON_DimensionExtra::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_arrow_position

int ON_DimensionExtra::m_arrow_position

Definition at line 236 of file opennurbs_annotation2.h.

## m_distance_scale

double ON_DimensionExtra::m_distance_scale

Definition at line 251 of file opennurbs_annotation2.h.

## m_modelspace_basepoint

ON_3dPoint ON_DimensionExtra::m_modelspace_basepoint

Definition at line 252 of file opennurbs_annotation2.h.

## m_partent_uuid

ON_UUID ON_DimensionExtra::m_partent_uuid

Definition at line 234 of file opennurbs_annotation2.h.

## m_text_rects

ON_RECT* ON_DimensionExtra::m_text_rects

Definition at line 249 of file opennurbs_annotation2.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h